---
title: Get Zaraz workflow
---

[Skip to content](#_top)

[API Reference](https://developers.cloudflare.com/api/python)

[Zaraz](https://developers.cloudflare.com/api/python/resources/zaraz)

[Workflow](https://developers.cloudflare.com/api/python/resources/zaraz/subresources/workflow)

Copy Markdown

Open in **Claude**Open in **ChatGPT**Open in **Cursor**

---

**Copy Markdown****View as Markdown**

# Get Zaraz workflow

zaraz.workflow.get(WorkflowGetParams\*\*kwargs) -> [Workflow](<https://developers.cloudflare.com/api/python/resources/zaraz#(resource)%20zaraz.workflow%20%3E%20(model)%20workflow%20%3E%20(schema)>)

GET/zones/{zone\_id}/settings/zaraz/workflow

Gets Zaraz workflow for a zone.

##### Security

<details>

<summary>API Token</summary>



The preferred authorization scheme for interacting with the Cloudflare API. <a href="https://developers.cloudflare.com/fundamentals/api/get-started/create-token/">Create a token</a>.

**Example:**<code>Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY</code>

</details>

<details>

<summary>API Email + API Key</summary>



The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

**Example:**<code>X-Auth-Email: user@example.com</code>

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

**Example:**<code>X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194</code>

</details>

##### Accepted Permissions (at least one required)

`Zaraz Edit``Zaraz Read``Zaraz Admin`

##### ParametersExpand Collapse

zone\_id: str

Identifier.

maxLength32

[Link to this property](<#(resource)%20zaraz.workflow%20%3E%20(method)%20get%20%3E%20(params)%20default%20%3E%20(param)%20zone_id%20%3E%20(schema)>)

##### ReturnsExpand Collapse

<details>

<summary>

Literal\["realtime", "preview"]

</summary>

One of the following:

"realtime"

<a href="#(resource)%20zaraz.workflow%20%3E%20(model)%20workflow%20%3E%20(schema)%20%3E%20(member)%200">Link to this property</a>

"preview"

<a href="#(resource)%20zaraz.workflow%20%3E%20(model)%20workflow%20%3E%20(schema)%20%3E%20(member)%201">Link to this property</a>

</details>

[Link to this property](<#(resource)%20zaraz.workflow%20%3E%20(method)%20get%20%3E%20(network%20schema)%20%3E%20(property)%20result>)

### Get Zaraz workflow

Python

HTTPTypeScriptPythonGoTerraform

```
import os
from cloudflare import Cloudflare

client = Cloudflare(
    api_token=os.environ.get("CLOUDFLARE_API_TOKEN"),  # This is the default and can be omitted
)
workflow = client.zaraz.workflow.get(
    zone_id="023e105f4ecef8ad9ca31a8372d0c353",
)
print(workflow)
```

200 example

```
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "result": "realtime",
  "success": true
}
```

##### Returns Examples

200 example

```
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "result": "realtime",
  "success": true
}
```